Check Delivery Assurance

There are 5 services available within Delivery Assurance:

  1. Store Boundary: Checks if the delivery address is within the coverage boundary of any store and returns a list of stores that can service the delivery address. We recommend passing either the zip code or latitude and longitude in the request to avoid geo-coding costs. Boundary needs to be defined around each store for this feature to work. (Refer: Add Boundary to define boundary for a store).
  2. DSP: This checks if at least one of the providers associated with the store has delivery coverage.
  3. Store Boundary + DSP: This is a combination of both the store boundary and DSP. It checks if drop-off address is within the coverage boundary as well as at least one of the providers associated with the store can service the drop-off address.
  4. Confidence Score: This provides a confidence score for a specified drop-off address.
  5. Return Confidence Score: This provides a confidence score of return from a specified drop-off address.
📘

  • BothpickupTimeanddropoffTimemust be provided to check for delivery within a specific time window.

  • The dsp and store-boundary-dspDelivery Assurance check is restricted to the providers configured for the pickup location. This API is for assurance of delivery, hence the first positive response from a provider is considered assurance of delivery.

  • WhennearestPickupvalue is passed, showTags and showBoundaries tags will not be available in the response.

  • Confidence Scores are currently available only for locations in the United States.

❗️

Caching can be enabled through configuration to reduce latency, especially when used on a PDP page. Caching works only if parameters that affect assurance (pickupTime and dropoffTime) are not provided.

🚧

Delivery Assurance does not utilize business rules and the orchestration engine.

Store-boundary service response

PropertyDescriptionTypeRequired
store-boundaryName of the selected serviceObjectConditional
Based on the service selected for the delivery assurance call
valueList of storeExternalIds that can deliver to the delivery addressArray of Stringstrue
errorsList of base errorsArray of BaseError Objectsfalse
fulfillmentsList of provider fulfillment options.Array of Fulfillment ObjectsConditional
This is sent when showFulfillmentOptions is true
boundariesList of boundaries associated with a pickup locationArray of Boundary DetailsConditional
This is sent when showBoundaries is true
distancesList of storeExternalIds sorted by distance.Array of Distance DetailsConditional
This is sent when sortByDistance is true

dsp service response

PropertyDescriptionTypeRequired
dspName of the selected serviceObjectBased on the service selected for the delivery assurance call
valueList of providers that can deliver to the delivery addressArray of Stringstrue
errorsList of Base and Provider ErrorsArray of Errorsfalse

store-boundary-dsp service response
This service is a combination of both store-boundary and dsp service. Hence all sub-properties of both the services are shown

PropertyDescriptionTypeRequired
store-boundary-dspName of the selected serviceObjectBased on the service selected for the delivery assurance call
valueList of providers that can deliver to the delivery addressArray of Stringstrue
errorsList of Base and Provider Errors and storeExternalIdArray of Errorsfalse

confidence-score service response

PropertyDescriptionTypeRequired
confidence-scoreName of the selected serviceObjectBased on the service selected for the delivery assurance call
valueaddressScore for the delivery addressArray of Stringstrue
scoreList of scores for the delivery addressObjecttrue
errorsList of Base ErrorsArray of Errorsfalse

return-confidence-score service response

PropertyDescriptionTypeRequired
return-confidence-scoreName of the selected serviceObjectBased on the service selected for the delivery assurance call
valueaddressScore for the delivery addressArray of Stringstrue
scoreList of scores for the delivery addressObjecttrue
errorsList of base errorsArray of Errorsfalse
isResidentialFlag indicating whether the delivery address is residentialBooleantrue
scoredAddressDelivery address that has been scoredObjecttrue
Body Params
string

Required when utilising dsp service. If storeExternalId is provided for store-boundary service, the location boundary check will be limited to that location.

deliveryAddress
object
required

Zipcode is mandatory in Address. If full address is provided then it would be geocoded if latitude and longitude are not provided for store boundary service and if a delivery service provider requires it. Full address is required when utilising confidence-score and return-confidence-score services.

services
array of strings
required

An array of service keys to determine which service is being invoked. Available services are: dsp, store-boundary, store-boundary-dsp, confidence-score, return-confidence-score.

services*
matchBoundaryTags
array of strings

Match stores whose boundaries have at least one of the tags (eg: "tags":["sdd","fleet"]) that are passed in an array and cover the dropoff address.

matchBoundaryTags
matchProviderTags
array of strings

All the providers matching at least one tag are returned. This is only available for the dsp and store-boundary-dsp services.

matchProviderTags
pickupTime
object

Check provider availability based on pickup time. If not provided, the system will use the appropriate time window. If pickupTime is null then it means that the package needs to be picked as soon as possible.

dropoffTime
object

Check provider availability based on drop-off time. If not provided, the system will use the appropriate time window. If dropoff time is null then it means that the package needs to be dropped off as soon as possible after the pickup.

boolean

When true, it returns all the pickup locations that cover the deliveryAddress sorted in the ascending order by distance.

nearestPickup
object

Fetches the nearest pickup locations that serve the deliveryAddress for a given radius. When this field is provided, the coverage boundaries associated with the pickup locations are ignored. This is only available for the store-boundary and store-boundary-dsp services.

boolean

When true, it returns the order type and provider services supported by the pickup location.

boolean

If caching in enabled in corporate profile to reduce latency, a customer can disable cache for this API by sending bypassCache as true

matchLocationTags
array of strings

All the locations matching at least one tag are returned. This is only available for the store-boundary and store-boundary-dsp services.

matchLocationTags
Response

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json